## LassoSamlp2ArtifactResolve LassoSamlp2ArtifactResolve — <samlp2:ArtifactResolve> |

## Functions

LassoNode * | lasso_samlp2_artifact_resolve_new ()

## Types and Values

struct | LassoSamlp2ArtifactResolve

## Description

Figure 68. Schema fragment for samlp2:ArtifactResolve

    <complexType name="ArtifactResolveType">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <element ref="samlp:Artifact"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_artifact_resolve_new ()

    LassoNode *
    lasso_samlp2_artifact_resolve_new (void);

Creates a new LassoSamlp2ArtifactResolve object.

#### Returns

a newly created LassoSamlp2ArtifactResolve object

## Types and Values

### struct LassoSamlp2ArtifactResolve

    struct LassoSamlp2ArtifactResolve {
    	LassoSamlp2RequestAbstract parent;

    	/* elements */
    	char *Artifact;
    };